Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.config
Class LocaleAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.LocaleAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, LocaleAttribute, Attribute

Deprecated.

    @Deprecated
    public class LocaleAttributeImpl

extends AttributeImpl
implements LocaleAttribute, ConfigAttribute

This attribute is used by processor `ParametricRangeQueryNodeProcessor` and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default `Locale` used to parse a date.

See Also:
  `LocaleAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`LocaleAttributeImpl()` Deprecated.

Method Summary
`void` | `clear()` Deprecated. Clears the values in this AttributeImpl and resets it to its default value.
`void` | `copyTo(AttributeImpl target)` Deprecated. Copies the values from this Attribute into the passed-in target attribute.
`boolean` | `equals(Object other)` Deprecated.
`Locale` | `getLocale()` Deprecated.
`int` | `hashCode()` Deprecated.
`void` | `setLocale(Locale locale)` Deprecated.
`void` | `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` | `toString()` Deprecated. Returns a string representation of the object.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocaleAttributeImpl

    public LocaleAttributeImpl()

  Deprecated.

Method Detail

### setLocale

    public void setLocale(Locale locale)

  Deprecated.
  Specified by:
    `setLocale` in interface `LocaleAttribute`

### getLocale

    public Locale getLocale()

  Deprecated.
  Specified by:
    `getLocale` in interface `LocaleAttribute`

### clear

    public void clear()

  Deprecated.
  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Deprecated.
  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Description copied from class: `AttributeImpl`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object.

  WARNING: For backwards compatibility this method is implemented as `return reflectAsString(false)`. In Lucene 4.0 this default implementation will be removed. The reason for this is the problem of `CharTermAttributeImpl.toString()` that must return a string representation of the term's char sequence.

  It is recommeneded to use `AttributeImpl.reflectAsString(boolean)` or `AttributeImpl.reflectWith(org.apache.lucene.util.AttributeReflector)` to get a well-defined output of AttributeImpl's internals.

  Overrides:
    `toString` in class `AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD